// $Id$

#ifndef __ZSCHIMMER__INLINE_FILES_H
#define __ZSCHIMMER__INLINE_FILES_H


namespace zschimmer {

//------------------------------------------------------------------------------------Embedded_file

struct Embedded_file
{ 
    const char*                _filename; 
    const char*                _content; 
    int                        _length; 
    time_t                     _last_modified_time;
};

//-----------------------------------------------------------------------------------Embedded_files

struct Embedded_files
{ 
    const Embedded_file*        get_embedded_file           ( const string& filename ) const;
    const Embedded_file*        get_embedded_file_or_null   ( const string& filename ) const;
    string                      string_from_embedded_file   ( const string& filename ) const;

    const Embedded_file*       _embedded_files;
};

//-------------------------------------------------------------------------------------------------


//-------------------------------------------------------------------------------------------------

} //namespace zschimmer

#endif
